<template>
  <div class="status_bar_item">
    <span>{{ item.title }}: {{ item.item_name }}</span>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType } from "vue";
import type { StatusBarItemType } from "@/types";

export default defineComponent({
  name: "StatusBarItem",
  props: {
    item: {
      type: Object as PropType<StatusBarItemType>,
      required: true
    }
  }
});
</script>

<style scoped>
.status_bar_item
{
  display: inline-block;
  color: #fff;
}
</style>